#include <stdio.h>
#include <stdlib.h>
typedef int (*func) ();

int main()
{
    static func INC;
    static func DEC;
    static func DOUBLE;
    static func PR;
    int counter() {
	{
	    static int n;
	    int Inc() {
		{
		    n = n + 1;
		    printf("%d ", n);
		    printf("\n");
		}
	    }
	    int Dec() {
		{
		    n = n - 1;
		    printf("%d ", n);
		    printf("\n");
		}
	    }
	    int Double() {
		{
		    n = n * 2;
		    printf("%d ", n);
		    printf("\n");
		}
	    }
	    int Pr() {
		{
		    printf("%d ", n);
		    printf("\n");
		}
	    }
	    n = 0;
	    INC = Inc;
	    DEC = Dec;
	    DOUBLE = Double;
	    PR = Pr;
	}
    }
    {
	counter();
	PR();
	INC();
	INC();
	INC();
	INC();
	INC();
	INC();
	INC();
	DEC();
	DEC();
	DEC();
	INC();
	INC();
	DOUBLE();
	PR();
    }
}
